<?php

// Prevent Direct Access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$fields = [];

// -------------- Fields

$fields[] = array(
	'id'               => 'portfolio_link',
	'desc'             => esc_html__('If a link is entered, the link will be opened instead of showing large size image when clicking on portfolio.', 'maxo-fa'),
	'type'             => 'text',
);

$fields[] = array(
	'type' => 'custom_html',
	'std'  => '<div style="color:#999;line-height:2">
				'.esc_html__('Notes', 'maxo-fa').':<br>
				- '.esc_html__('Selecting featured image is required to show the portfolio.', 'maxo-fa').'<br>
				- '.esc_html__('If no link is entered, the large size image will be shown when clicking on portfolio.', 'maxo-fa').'<br>
				- '.esc_html__('If a link is entered, the priority will be with the link and the link will be opened instead of showing large size image when clicking on portfolio.', 'maxo-fa').'
			   </div>',
);

// -------------- Metabox

$meta_boxes[] = array(
	'id'         => 'maxo_portfolio',
	'title'      => esc_html__('Link', 'maxo-fa'),
	'post_types' => 'portfolio',
	'fields' => $fields,
);
